#!/bin/bash

parmfile=$1
#path=$2
#suff=$3

fish="fish"
fish1="fish1.txt"
fish2="fish2.txt"
fishavg="fish_avg.txt"

rm -f $fish1 $fish2 $fishavg

VESIMULUS=../vesimulus

#### repeat simulation ####
for k in 0 1 2 3 
do
	for i in 0 1 2 3 4 5 6 7 8 9
	do 
		echo "+++ "$k$i" +++" > /dev/stderr
		
		$VESIMULUS 0.3 0.001 1 $parmfile $fish 
		
		if [ -e $fish1 ]
			then
			# Extract data from currect simulation and join with previous results into $fish1
			# 4. column => transmembrane potential
			# sum up 3., 5., and 6. column to get c_ox
			cut -f1,3-6 $fish"_pools.dat" | gawk '{print $1, $3, $2+$4+$5}' | join $fish1 - > $fish2
			mv -f $fish2 $fish1
		else
			cut -f1,3-6 $fish"_pools.dat"  | gawk '{print $1, $3,  $2+$4+$5}' > $fish1
		fi
		
	done
done

##### Post flight #######
# Now calculate averages from the saved data.
# Every second column is c_ox (delta Phi)
gawk '{s=0;t=0}{for(i=2;i<=NF;i+=2){s+=$i;t+=$(i+1)}}{print $1, 2*s/(NF-1), 2*t/(NF-1)}' $fish1 > $fishavg

#### Scoring ####
# add here some comparison to experiment....
