#!/bin/bash

/bin/echo '// automatically generated part of the parser -- do not edit manually'

cd proteininclude

for headerfile in protein?*.h
	do
	/bin/echo "Processing "$headerfile > /dev/stderr

	# extract label and classname
	LABEL=`grep "LABEL:" $headerfile | cut -f2 -d: | gawk '{print $1}'`
	CLASS=`grep "CLASSNAME:" $headerfile | cut -f2 -d: | gawk '{print $1}'`
	LENGTH=`/bin/echo -n $LABEL | wc -c`
	
	if [ "x"$LABEL != "x" -a "x"$CLASS != "x" ] # -a "x"$LENGTH != "x" ]
		then
		/bin/echo "  found: " $CLASS" - "$LABEL" => "$LENGTH > /dev/stderr
				
		# ### create template ###
		/bin/echo 'if (strcmp(mode, "'$LABEL'") == 0 || strncmp(mode, "'$LABEL'_", '$LENGTH'+1) == 0) {'
		/bin/echo '    char mode_pr[128];'
		/bin/echo '    strcpy(mode_pr, mode);'
		/bin/echo '    strcat(mode_pr, protein_count);'
		/bin/echo '    '$CLASS' *prot = new '$CLASS'(mode_pr, delta_t);'
		/bin/echo '    if ((prot->parseLine(line)) == false) {'
		/bin/echo '        exit(-2); }'
		/bin/echo '    list<Protein*>::iterator it = getNextPosition();'
		/bin/echo '    Proteins.insert(it, prot);'
		/bin/echo '}'
		/bin/echo -n 'else '
	fi
done

