// Definitions for the automated inclusion into the parser
// LABEL:		bc1dimer2_c2ox
// CLASSNAME:	ObservableBC1Dimer2c2ox
// 
#ifndef OBSERVABLE_BC1D2C2OX_H
#define OBSERVABLE_BC1D2C2OX_H

#include "observable.h"
#include "proteinBC1Dimer_2.h"
#include "parameter.h"
#include <math.h>


//! Observable that counts how many oxidized c2 are bound to the bc1Dimer_2

//! There are no specific parameters.

class ObservableBC1Dimer2c2ox : public Observable
{
	public:
	
	//! Constructor
	ObservableBC1Dimer2c2ox(const std::string name);
	//! Destructor
	~ObservableBC1Dimer2c2ox();

	//! Calculate and return the number of bound oxidized c2
	double get_value();
	
	//! Parser for line from input file: no parameters to fiddle with :-)
	bool parseLine(char *linep) { return(true); }
	
	private:
	//! verify that all neccessary pools are defined: empty -- no pools
	void verify_pools() { };

};
#endif /* OBSERVABLE_BC1D2C1OX_H */
