// Definitions for the automated inclusion into the parser
// LABEL:		RC_SemiQb
// CLASSNAME:	ObservableQbHe
// 
#ifndef OBSERVABLE_QBHE_H
#define OBSERVABLE_QBHE_H

#include "observable.h"
#include "proteinRC.h"
#include "parameter.h"
#include <math.h>


//! Observable that determines the fraction of semiquinones (1 e-H pair on the Qb).

//! Queries all proteins of type RC (i.e. RC_*).
//! There are no Parameters.

class ObservableQbHe : public Observable
{
	public:
	
	//! Constructor
	ObservableQbHe(const std::string name);
	//! Destructor
	~ObservableQbHe()  { }

	//! Determine and return the fraction of the RCs' Qbs with one e-H-pair
	double get_value();
	
	//! Parser for line from input file -- no parameters to read
	bool parseLine(char *linep) { return(true); }
	
	private:
		
	//! verify that all neccessary pools are defined
	void verify_pools();

};
#endif /* OBSERVABLE_QBHE_H */
