// Definitions for the automated inclusion into the parser
// LABEL:		RC_SPox
// CLASSNAME:	ObservableSpecialPairOx
// 
#ifndef OBSERVABLE_SPECIALAIROX_H
#define OBSERVABLE_SPECIALAIROX_H

#include "observable.h"
#include "proteinRC.h"
#include "parameter.h"
#include <math.h>


//! Observable that determines the fraction of oxidized special pairs (without an electron)

//! Queries all proteins of type RC (i.e. RC_*)
//! There are no Parameters

class ObservableSpecialPairOx : public Observable
{
	public:
	
	//! Constructor
	ObservableSpecialPairOx(const std::string name);
	//! Destructor
	~ObservableSpecialPairOx() { };

	//! Calculate and return the fraction of oxidized special pairs
	double get_value();
	
	//! Parser for input line -- no parameters 
	bool parseLine(char *linep) { return(true); }
	
	private:
		
	//! verify that all neccessary pools are defined (is empty, no pools)
	void verify_pools();

};
#endif /* OBSERVABLE_SPECIALAIROX_H */
