#include "observable.h"
#include "observableOnOffState.h"

using namespace std;

// #define DEBUG


// Creator
ObservableOnOffState::ObservableOnOffState(const string name) :
Observable::Observable(name)
{ }



// loop over proteins and query the one with the correct index
double ObservableOnOffState::get_value(const long int &idx)
{
	string PName;
	char helper[128];
	sprintf(helper, "OnOff_%ld", idx);
	
	list<Protein*>::iterator iter;
	ProteinOnOff* pp;
	
	#ifdef DEBUG
	cout << "ObservableOnOffState:get_value: start" << endl;
	#endif
	
	for (iter = (*Proteins).begin(); iter != (*Proteins).end() ; iter++) {
		PName = (*iter)->readMyName();
		
		#ifdef DEBUG
		cout << "ObservableOnOffState:get_value: PName = " << PName << endl;
		#endif
		
		if(PName == string(helper))
		{
			pp = static_cast<ProteinOnOff*>(*iter);
			return(pp->get_state());
		}
	}
	// didn't find protein, return 0 (== off)
	return(0.0);
}
