#include "observable.h"
#include "observableRCc2ox.h"

using namespace std;

// #define DEBUG


ObservableRCc2ox::ObservableRCc2ox(const string name) :
Observable::Observable(name)
{ }



double ObservableRCc2ox::get_value()
{
	string PName;
	unsigned long int oxidized=0, sum=0;
	
	list<Protein*>::iterator iter;
	ProteinRC* pp;
	
	#ifdef DEBUG
	cout << "ObservableRCc2ox:get_value: start" << endl;
	#endif
	
	for (iter = (*Proteins).begin(); iter != (*Proteins).end() ; iter++) {
		PName = (*iter)->readMyName();
		
		#ifdef DEBUG
		cout << "ObservableRCc2ox:get_value: PName = " << PName << endl;
		#endif
		
		if(PName.substr(0,3) == "RC_")
		{
			pp = static_cast<ProteinRC*>(*iter);
			oxidized += pp->get_c2ox();
			sum ++;

			#ifdef DEBUG
			cout << "ObservableRCc2ox:get_value: oxidized = " << oxidized << "  sum = " << sum << endl;
			#endif
		}
	}

	if(sum > 0) {
		return(static_cast<double>(oxidized));
	} else {
		return(0);
	}
}
